Create PERSON

Creates the first version of a new PERSON.

Headers
  • Prefer
    Type: stringenum

    Request header to indicate the preference over response details. The response will contain the entire resource when the Prefer header has a value of return=representation, or only the resource identifier (e.g., the uid) when the value is return=identifier.

    values
    • return=representation
    • return=minimal
    • return=identifier
Body
required
application/json

The PERSON.

  • archetype_node_id
    Type: string
    required
  • identities
    Type: array object[] · ListOfPartyIdentity
    required
  • name
    Type: object · DV_TEXT
    required

    Polymorphic DV_TEXT wrapper. See concrete leaf schemas:

    • UMDvText
    • UMDvCodedText
  • _type
    enum
    const:  
    PERSON
    values
    • PERSON
  • archetype_details
    Type: object · ARCHETYPED
  • contacts
    Type: array object[] · ListOfContact
  • details
    Type: object · ITEM_STRUCTURE

    Polymorphic ITEM_STRUCTURE wrapper. See concrete leaf schemas:

    • ItemSingle
    • ItemList
    • ItemTable
    • ItemTree
  • feeder_audit
    Type: object · FEEDER_AUDIT
  • languages
    Type: array object[] · DV_TEXT[]
    Empty object
  • Type: array object[] · LINK[]
  • relationships
    Type: array object[] · ListOfPartyRelationShip
  • roles
    Type: array object[] · PARTY_REF[]

    Identifier for parties in a demographic or identity service.

Responses
  • application/json
  • application/json
  • 404

    404 Not Found is returned when, based on the request parameters, the server did not find a current representation of a target resource, or is not willing to disclose that one exists.

  • 422

    422 Unprocessable Entity is returned when the content type and syntax is correct, could be converted to a resource, but there are semantic validation errors, such as the underlying template is not known or is not validating the supplied resource.

Request Example for post/demographic/person
curl https://cataniamc.prod.cadasto.com/v1/demographic/person \
--request POST \
--header 'Prefer: return=minimal' \
--header 'Content-Type: application/json' \
--data '{
"_type": "PERSON",
"name": {},
"archetype_node_id": "",
"uid": {
"_type": "HIER_OBJECT_ID",
{
"_type": "PERSON",
"name": {},
"archetype_node_id": "string",
"uid": {
"_type": "HIER_OBJECT_ID",
"value": "123e4567-e89b-12d3-a456-426614174000"
},
"links": [
{